Bug 1121982 - Wrong required parameters description in REST API documentation in section 7.3 GET /metric/data
Summary: Wrong required parameters description in REST API documentation in section 7....
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Documentation
Version: JON 3.2
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: GA
: JON 3.3.0
Assignee: Jared MORGAN
QA Contact: Garik Khachikyan
Jared MORGAN
URL:
Whiteboard:
Depends On: 1121975
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 09:21 UTC by Jan Bednarik
Modified: 2015-08-10 01:24 UTC (History)
5 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
[REST API] [3.2]
Last Closed: 2014-12-11 13:59:42 UTC
Type: Bug


Attachments (Terms of Use)

Description Jan Bednarik 2014-07-22 09:21:54 UTC
Description of problem:
It is written in REST API documentation in section 7.3 GET /metric/data that the parameter "sid" is not required (Required = "false") even though this only parameter is required. If it is not specified in REST query the server responds with HTTP code 406.

https://access.redhat.com/documentation/en-US/Red_Hat_JBoss_Operations_Network/3.2/html/RestAPI/index.html#idp18308880

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Heiko W. Rupp 2014-07-22 10:02:44 UTC
master has been updated (see linked BZ) so that the next documentation generation run is picking up the change.

We still need to update the 3.2 docs manually though.

Comment 4 Jared MORGAN 2014-09-29 06:29:06 UTC
I've made the change to this parameter in the 3.2 docs. It is such a minor change that I'm just bumping and brewing the fix.

Comment 5 Jared MORGAN 2014-09-29 07:21:08 UTC
SVN Commits for Comment#4

Sending        RestAPI.xml
Transmitting file data .
Committed revision 97748.

Sending        Revision_History.xml
Transmitting file data .
Committed revision 97749.

Comment 7 Jared MORGAN 2014-10-30 03:26:46 UTC
Minor change in Comment#6 ready for review. It applies to 3.2 docs only as 3.3 docs were done by Zach.

Comment 8 Garik Khachikyan 2014-10-30 12:44:38 UTC
# VERIFIED

both docs are fixed.

3.3 http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_JBoss_Operations_Network/3.3/html/Rest_API/index.html#N69077
(Table 84 has required=true for sid parameter)


Note You need to log in before you can comment on or make changes to this bug.